Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet
Class HttpRequestMessageAdapter

    java.lang.Object
      org.mule.transport.AbstractMessageAdapter
          org.mule.transport.servlet.HttpRequestMessageAdapter

All Implemented Interfaces:
  Serializable, ThreadSafeAccess, MessageAdapter

    public class HttpRequestMessageAdapter

extends AbstractMessageAdapter

`HttpRequestMessageAdapter` is a Mule message adapter for `HttpServletRequest` objects.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.mule.api.ThreadSafeAccess
`ThreadSafeAccess.AccessControl`

Field Summary

Fields inherited from class org.mule.transport.AbstractMessageAdapter
`attachments, exceptionPayload, id, logger, properties`

Fields inherited from interface org.mule.api.ThreadSafeAccess
`READ, WRITE`

Constructor Summary
`protected` | `HttpRequestMessageAdapter(HttpRequestMessageAdapter template)`
`` | `HttpRequestMessageAdapter(Object message)`

Method Summary
`String` | `getCharacterEncoding()`
`String` | `getContentType()`
`Enumeration<String>` | `getParameterNames()`
`String[]` | `getParameterValues(String paramName)`
`Object` | `getPayload()`
`Object` | `getReplyTo()` Sets a replyTo address for this message.
`Map<String,String>` | `getRequestParameters()`
`ThreadSafeAccess` | `newThreadCopy()`
`protected void` | `setContentEncoding(HttpServletRequest request)`
`void` | `setReplyTo(Object replyTo)` Sets a replyTo address for this message.

Methods inherited from class org.mule.transport.AbstractMessageAdapter
`addAttachment, addInboundProperties, addProperties, addProperties, assertAccess, clearProperties, getAttachment, getAttachmentNames, getBooleanProperty, getCorrelationGroupSize, getCorrelationId, getCorrelationSequence, getDoubleProperty, getEncoding, getExceptionPayload, getIntProperty, getLongProperty, getProperty, getProperty, getProperty, getPropertyNames, getPropertyNames, getStringProperty, getUniqueId, isDisabled, newException, release, removeAttachment, removeProperty, resetAccessControl, setBooleanProperty, setCorrelationGroupSize, setCorrelationId, setCorrelationSequence, setDoubleProperty, setEncoding, setExceptionPayload, setIntProperty, setLongProperty, setProperty, setProperty, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpRequestMessageAdapter

    public HttpRequestMessageAdapter(Object message)
                              throws MuleException

Throws:
  `MuleException`

### HttpRequestMessageAdapter

    protected HttpRequestMessageAdapter(HttpRequestMessageAdapter template)

Method Detail

### setContentEncoding

    protected void setContentEncoding(HttpServletRequest request)

### getPayload

    public Object getPayload()

  Returns:
    the current message

### setReplyTo

    public void setReplyTo(Object replyTo)

  Sets a replyTo address for this message. This is useful in an asynchronous environment where the caller doesn't wait for a response and the response needs to be routed somewhere for further processing. The value of this field can be any valid endpointUri url.

  Specified by:
    `setReplyTo` in interface `MessageAdapter`
  Overrides:
    `setReplyTo` in class `AbstractMessageAdapter`
  Parameters:
    `replyTo` - the endpointUri url to reply to

### getReplyTo

    public Object getReplyTo()

  Sets a replyTo address for this message. This is useful in an asynchronous environment where the caller doesn't wait for a response and the response needs to be routed somewhere for further processing. The value of this field can be any valid endpointUri url.

  Specified by:
    `getReplyTo` in interface `MessageAdapter`
  Overrides:
    `getReplyTo` in class `AbstractMessageAdapter`
  Returns:
    the endpointUri url to reply to or null if one has not been set

### getContentType

    public String getContentType()

### getCharacterEncoding

    public String getCharacterEncoding()

### getParameterNames

    public Enumeration<String> getParameterNames()

### getParameterValues

    public String[] getParameterValues(String paramName)

### getRequestParameters

    public Map<String,String> getRequestParameters()

### newThreadCopy

    public ThreadSafeAccess newThreadCopy()

  Description copied from class: `AbstractMessageAdapter`

  Specified by:
    `newThreadCopy` in interface `ThreadSafeAccess`
  Overrides:
    `newThreadCopy` in class `AbstractMessageAdapter`
  Returns:
    A new instance of the implementing class, unbound to any thread and mutable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.